# Uses of Class
org.eclipse.mat.inspections.osgi.model.eclipse.ConfigurationElement

Packages that use ConfigurationElement
Package
Description
org.eclipse.mat.inspections.osgi.model.eclipse
These are utilities for Eclipse OSGi bundle queries.

## Uses of ConfigurationElement in org.eclipse.mat.inspections.osgi.model.eclipse

Methods in org.eclipse.mat.inspections.osgi.model.eclipse that return types with arguments of type ConfigurationElement
Modifier and Type
Method
Description
`List<ConfigurationElement>`
ConfigurationElement.`getConfigurationElements()`
Get nested configuration elements
`List<ConfigurationElement>`
Extension.`getConfigurationElements()`
Methods in org.eclipse.mat.inspections.osgi.model.eclipse with parameters of type ConfigurationElement
Modifier and Type
Method
Description
`void`
ConfigurationElement.`addConfigurationElement(ConfigurationElement configurationElement)`
`void`
Extension.`addConfigurationElement(ConfigurationElement configurationElement)`